<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Update Achievement REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64491/update-achievement-rest-endpoint</link><description /><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Update Achievement REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64491/update-achievement-rest-endpoint</link><pubDate>Tue, 19 Nov 2019 20:18:11 GMT</pubDate><guid isPermaLink="false">9633a8b2-9a58-4776-a5c6-1949a7105b5f</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/11/w/api-documentation/64491/update-achievement-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 11/19/2019 20:18:11&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-endpoints"&gt;&lt;h2&gt;&lt;a id="URLs" name="URLs"&gt;&lt;/a&gt;URLs&lt;/h2&gt;&lt;h3&gt;&lt;a id="POST_Header_PUT_api_ashx_v2_achievement_id_xml_or_json" name="POST_Header_PUT_api_ashx_v2_achievement_id_xml_or_json"&gt;&lt;/a&gt;POST (Header: PUT) api.ashx/v2/achievement/{id}.xml (or .json)&lt;/h3&gt;&lt;/div&gt;&lt;div class="documentation-request"&gt;&lt;h2&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h2&gt;&lt;table cellspacing="0" cellpadding="2" width="99%" class="WikiTable"&gt;&lt;thead&gt;&lt;tr class="WikiTableBgBlue"&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Type&lt;/th&gt;&lt;th&gt;Description&lt;/th&gt;&lt;th&gt;Location&lt;/th&gt;&lt;th&gt;Required&lt;/th&gt;&lt;th&gt;Default&lt;/th&gt;&lt;th&gt;Options&lt;/th&gt;&lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt;&lt;tr&gt;&lt;td&gt;Id&lt;/td&gt;&lt;td&gt;&lt;code&gt;Guid&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Id of the Achievement&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Required&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;Title&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Title of the Achievement&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;Criteria&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Criteria to earn the Achievement&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;BadgeIconName&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Name of the file representing the badge for the Achievement&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;BadgeIconData&lt;/td&gt;&lt;td&gt;&lt;code&gt;Byte[]&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Data of the file representing the badge for the Achievement. If BadgeIconName is specified, either BadgeIconData or BadgeIconUploadContext is required.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;BadgeIconUploadContext&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Upload context of the file representing the badge for the Achievement. Either BadgeIconData or BadgeIconUploadContext is required.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;Enabled&lt;/td&gt;&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Enabled state of the achievement, whether it can be earned.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;RemoveAutomation&lt;/td&gt;&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Removes the automation used by this achievement.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;AutomationId&lt;/td&gt;&lt;td&gt;&lt;code&gt;Guid&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Identifies the ID of the automation used to automatically award/revoke this achievement.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;AutomationConfiguration&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Querystring encoded configuration values used by the selected automation for this achievement.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h2&gt;&lt;h3&gt;&lt;a id="C_REST_SDK" name="C_REST_SDK"&gt;&lt;/a&gt;C# REST SDK&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;REST SDK&lt;/a&gt; to access the Community REST API within a .Net C# application. In the example, &lt;code&gt;USER_NAME&lt;/code&gt; is the user name of the effective user for the request and &lt;code&gt;OAUTH_CLIENT_ID&lt;/code&gt; and &lt;code&gt;OAUTH_SECRET&lt;/code&gt; are the OAuth client ID and secret, respectively, associated to this application as configured in &lt;strong&gt;Administration &amp;gt; Integration &amp;gt; OAuth Clients&lt;/strong&gt; with the &amp;quot;Client Credentials&amp;quot; grant type enabled. See the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;documentation for the REST SDK&lt;/a&gt; for more details about installation, configuration, and usage options.&lt;/p&gt;&lt;pre class="brush: csharp"&gt;var host = new ClientCredentialsRestHost(&amp;quot;USER_NAME&amp;quot;, &amp;quot;https://mysite.com/&amp;quot;, &amp;quot;OAUTH_CLIENT_ID&amp;quot;, &amp;quot;OAUTH_SECRET&amp;quot;);
var response = host.PutToDynamic(2, &amp;quot;achievement/{id}.json&amp;quot;, false, new RestPutOptions {
	PathParameters = new System.Collections.Specialized.NameValueCollection {
		{ &amp;quot;id&amp;quot;, &amp;quot;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot; }
	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h3&gt;&lt;p&gt;This example uses the [[rest JavaScript API Module|rest JavaScript API]] to access the Community REST API within the Community web UI. When accessing the REST API through the javascript API, the effective user is the current contextual user of the web interface.&lt;/p&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.put({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/achievement/{id}.json&amp;#39;,
	data: { 
		&amp;#39;id&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;
	},
	success: function(response) {

	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="cURL" name="cURL"&gt;&lt;/a&gt;cURL&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="http://curl.haxx.se/"&gt;cURL command-line HTTP utility&lt;/a&gt;. &lt;code&gt;ENCODED_TOKEN&lt;/code&gt; in the example is the base64-encoded concatenation of the user&amp;#39;s API key (created from the user&amp;#39;s profile), a colon (:), and the user&amp;#39;s user name. &lt;a href="/r?BA"&gt;Learn more about using the REST API&lt;/a&gt;.&lt;/p&gt;&lt;pre class="brush: text"&gt;curl -H &amp;quot;Rest-User-Token: ENCODED_TOKEN&amp;quot; -H &amp;quot;Rest-Method: PUT&amp;quot; -X POST https://mysite.com/api.ashx/v2/achievement/49fec544-6df7-4a82-872b-f8be586d5e9e.xml&lt;/pre&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h2&gt;&lt;h3&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h3&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Achievement&amp;gt;
    &amp;lt;Id&amp;gt;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;lt;/Id&amp;gt;
    &amp;lt;Title&amp;gt;title&amp;lt;/Title&amp;gt;
    &amp;lt;Criteria&amp;gt;criteria&amp;lt;/Criteria&amp;gt;
    &amp;lt;BadgeIconUrl&amp;gt;badgeiconurl&amp;lt;/BadgeIconUrl&amp;gt;
    &amp;lt;Enabled&amp;gt;true&amp;lt;/Enabled&amp;gt;
    &amp;lt;CreatedDate&amp;gt;2012-01-04T00:00:00&amp;lt;/CreatedDate&amp;gt;
    &amp;lt;AutomationId&amp;gt;9f5a6721-639d-4e1d-ab6a-ce63b7750f46&amp;lt;/AutomationId&amp;gt;
  &amp;lt;/Achievement&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;h3&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h3&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Achievement&amp;quot;: {
    &amp;quot;Id&amp;quot;: &amp;quot;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot;,
    &amp;quot;Title&amp;quot;: &amp;quot;title&amp;quot;,
    &amp;quot;Criteria&amp;quot;: &amp;quot;criteria&amp;quot;,
    &amp;quot;BadgeIconUrl&amp;quot;: &amp;quot;badgeiconurl&amp;quot;,
    &amp;quot;Enabled&amp;quot;: true,
    &amp;quot;CreatedDate&amp;quot;: &amp;quot;2012-01-04T00:00:00&amp;quot;,
    &amp;quot;AutomationId&amp;quot;: &amp;quot;9f5a6721-639d-4e1d-ab6a-ce63b7750f46&amp;quot;,
    &amp;quot;AutomationConfiguration&amp;quot;: {},
    &amp;quot;ContentId&amp;quot;: &amp;quot;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot;,
    &amp;quot;Url&amp;quot;: &amp;quot;/achievements/49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot;,
    &amp;quot;Application&amp;quot;: {
      &amp;quot;Id&amp;quot;: 1,
      &amp;quot;DateCreated&amp;quot;: &amp;quot;2018-09-27T21:12:21.52&amp;quot;,
      &amp;quot;Description&amp;quot;: &amp;quot;&amp;quot;,
      &amp;quot;Key&amp;quot;: &amp;quot;root&amp;quot;,
      &amp;quot;Name&amp;quot;: &amp;quot;Telligent Community&amp;quot;,
      &amp;quot;ParentGroupId&amp;quot;: -1,
      &amp;quot;Url&amp;quot;: &amp;quot;http://trunk.community.local.telligent.com/&amp;quot;,
      &amp;quot;GroupType&amp;quot;: &amp;quot;Joinless&amp;quot;,
      &amp;quot;EnableGroupMessages&amp;quot;: true,
      &amp;quot;EnableContact&amp;quot;: false,
      &amp;quot;TotalMembers&amp;quot;: 0,
      &amp;quot;HasGroups&amp;quot;: true,
      &amp;quot;PendingMembers&amp;quot;: 0,
      &amp;quot;AvatarUrl&amp;quot;: &amp;quot;/cfs-file/__key/communityserver-wikis-components-files/00-00-00-12-82/7026.defaulthub.gif&amp;quot;,
      &amp;quot;GroupCount&amp;quot;: 1,
      &amp;quot;ThemeId&amp;quot;: &amp;quot;3fc3f824-83d1-4ec4-85ef-92e206116d49&amp;quot;,
      &amp;quot;ApplicationId&amp;quot;: &amp;quot;874c3878-ef28-47c5-92c3-23e97ef8b66a&amp;quot;,
      &amp;quot;ContainerId&amp;quot;: &amp;quot;874c3878-ef28-47c5-92c3-23e97ef8b66a&amp;quot;,
      &amp;quot;ExtendedAttributes&amp;quot;: [],
      &amp;quot;Warnings&amp;quot;: [],
      &amp;quot;Errors&amp;quot;: []
    },
    &amp;quot;Warnings&amp;quot;: [],
    &amp;quot;Errors&amp;quot;: []
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>